//TABLEVIEW
//  MenuViewController.m
//  GifMenuSlide
//
//  Created by Andres Castillo on 8/14/13.
//  Copyright (c) 2013 Andres Castillo. All rights reserved.
//

#import "MenuViewController.h"
#import "ECSlidingViewController.h"

@interface MenuViewController ()
{
    
    
}

@end

@implementation MenuViewController
@synthesize menu;


- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    // Uncomment the following line to preserve selection between presentations.
    // self.clearsSelectionOnViewWillAppear = NO;
 
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
    
    
    self.menu=[NSArray arrayWithObjects:@"Main", @"Second",nil];
    
    
    [self.slidingViewController setAnchorRightRevealAmount:200.0f];//sliding the menu to the right will cover 200 pixels on the screen
    self.slidingViewController.underLeftWidthLayout=ECFullWidth;//we are working with a full width app not a smaller one.
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
#warning Potentially incomplete method implementation.
    // Return the number of sections.
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
#warning Incomplete method implementation.
    // Return the number of rows in the section.
    return [self.menu count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell * cell = [tableView dequeueReusableCellWithIdentifier:@"my identifier"];

    
    if (cell ==nil)
    {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"my identifier"];
        
        
        
    }
    cell.textLabel.text= [NSString stringWithFormat:@"%@",[self.menu objectAtIndex:indexPath.row]];
    
    
    // Configure the cell...
    
    return cell;
}

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Navigation logic may go here. Create and push another view controller.
    /*
     <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
     [self.navigationController pushViewController:detailViewController animated:YES];
     */
    
    NSString * identifier=[NSString stringWithFormat:@"%@",[self.menu objectAtIndex:indexPath.row]];//creates a string of the identifier that was touched.
    UIViewController  * newTopViewController=[self.storyboard instantiateViewControllerWithIdentifier:identifier];//creates a new view controller each time we tap an item in the menu bar.
    
    [self.slidingViewController anchorTopViewOffScreenTo:ECRight animations:nil onComplete:^{//sets the menu to pop from the right.
        
        
        CGRect frame= self.slidingViewController.topViewController.view.frame;//sets the size of the new viewController equal to the frame.
        self.slidingViewController.topViewController=newTopViewController;//sets the new top ViewController.
        self.slidingViewController.topViewController.view.frame=frame;//when it completes the selected view is going to fit the frame size

        [self.slidingViewController resetTopView];//resets the old top view to the new ViewController.
        
        
        
    }];
    
    
}

@end
